Subject: Re: [AVT] RTCP unicast feedback for measurement applications?

From: Eve Schooler <[email-masked]>
Date: Mon, 03 Feb 2003 17:02:21 -0800

Fiandra Riccardo <[email-masked]> wrote: 

>I was interested in the "RTCP Extensions for Single-Source Multicast
>Sessions with Unicast Feedback" draft.
>Actually, I was wondering if it is also targeted to have a very large and
>distribuited network measurement framework.
>Where multicast receivers (thousands) use RTCP to send report to a
>measurement collector about packet loss, jitter, or other.
>I see really many advantages on that for e2e measurements, especially in a
>scenario where thousands of receivers are always connected to the network
>and cannot send multicast (common scenario for an operator, even without
>SSM...).
>
>My questions are:
>-Was this a scenario of application when writing the draft?

Absolutely, though the primary focus of the draft was to solve 
the problem posed by the removal/restriction of the backchannel 
caused by SSM and other uni-directional or asymmetric topologies. 
Solving the feedback problem for SSM gives us the blueprint for
other unicast-based feedback architectures, including ones for
network measurement in general.
  
>-In this case, could I use the RTCP channel multicasted to the receivers to
>control them?

Yes you could.  This is certainly what we envision in the RTCP
context; use the multicast channel in the source-to-receiver
direction, and use the unicast backchannels in the 
receiver-to-source direction.

We also propose to use the multicast channel either:
- to reflect receiver feedback (received on the unicast backchannels)
  back out on the multicast channel to reach all receivers, or
- to redistribute to the receivers feedback summaries 
  (receiver feedback collected at the source and aggregated into 
  a single mathematical distribution) back out on the multicast channel.

>-Do you see any extension possible also for ptp rtp connections (forward
>rtcp reports to another device?)

In section 10 of draft-ietf-avt-rtcpssm-02.txt, we use
an extension to SDP to indicate the device to which the
feedback gets reported.  This is done following the proposal 
for SDP source filters documented in 
draft-ietf-mmusic-sdp-srcfilter-00.txt.

We also just completed a paper that expands upon the ideas
in the I-D and that should provide further application 
scenarios.  I'll post it here shortly.

Eve

-=-=-=-=-

Eve M. Schooler                 Voice:  1-650-330-7913
AT&T Labs - Research            FAX:    1-650-463-7037
75 Willow Road                  E-mail: [email-masked]
Menlo Park, CA, USA 94025       http://www.research.att.com/~schooler
_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www1.ietf.org/mailman/listinfo/avt